/* Global styles for BH Post Type Slider block */
.bh-post-type-slider-block {
  width: 100%;
  margin: 0 auto;
  position: relative;
}
.bh-post-type-slider-block .swiper {
  width: 100%;
  padding-bottom: 80px;
  /* overflow: hidden; */
}
.bh-post-type-slider-block .swiper-wrapper {
  display: flex;
  /* align-items: center; */
  align-items: stretch;
}
.bh-post-type-ellipse {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  z-index: -1;
}

.bh-post-type-slider-block .swiper-slide {
  flex: 0 0 auto;
  width: auto;
  box-sizing: border-box;
}

.bh-post-type-slider-block .swiper-pagination {
  text-align: left;
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
  margin-right: 10px;
  /* display: block; */
  position: relative;
  bottom: -40px !important;
  transform: none !important;
  left: 0 !important;
  width: 100%!important;
}

.bh-post-type-slider-block .swiper-pagination-bullet {
  width: 24px!important;
  left: 0!important;
  height: 7px;
  border-radius: 500px;
  background: rgba(255, 255, 255, 0.6);
  margin: 0 4px !important;
  transform: none;
  transition: .3s ease!important;
}

.bh-post-type-slider-block .swiper-pagination-bullet-active {
  width: 44px!important;
  background: #fff;
}

.bh-post-type-slider-block .swiper-button-prev,
.bh-post-type-slider-block .swiper-button-next {
  color: #e22415;
  background: #fff;
  border-radius: 50%;
  width: 40px;
  height: 40px;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.08);
  display: flex;
  align-items: center;
  justify-content: center;
}
@media (max-width: 1024px) {
  .bh-post-type-slider-block .swiper-slide {
    min-width: 220px;
  }
}
@media (max-width: 640px) {
  .bh-post-type-slider-block .swiper-slide {
    min-width: 160px;
    width: 80%;
  }
  .franchise-items-slider-block .swiper-slide{
    width: 100%;
  }
}

/* Hide navigation and pagination on desktop */
@media (min-width: 1024px) {
  .bh-post-type-slider-block .swiper-button-prev,
  .bh-post-type-slider-block .swiper-button-next,
  .bh-post-type-slider-block .swiper-pagination {
    display: none !important;
  }
}

@media (max-width: 1023px) {
  .bh-post-type-slider-block .swiper-button-prev,
  .bh-post-type-slider-block .swiper-button-next {
    display: block;
  }
  .bh-post-type-slider-block .swiper-pagination {
    display: flex;
  }
}
